Package com.artofsolving.jodconverter

# Class BasicDocumentFormatRegistry

java.lang.Object
com.artofsolving.jodconverter.BasicDocumentFormatRegistry

All Implemented Interfaces:
  `DocumentFormatRegistry`

Direct Known Subclasses:
  `DefaultDocumentFormatRegistry`, `XmlDocumentFormatRegistry`

public class BasicDocumentFormatRegistry extends Object implements DocumentFormatRegistry

## Constructor Summary

Constructors
Constructor
Description
`BasicDocumentFormatRegistry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDocumentFormat(DocumentFormat documentFormat)`
`protected List`
`getDocumentFormats()`
`DocumentFormat`
`getFormatByFileExtension(String extension)`
`DocumentFormat`
`getFormatByMimeType(String mimeType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicDocumentFormatRegistry

public BasicDocumentFormatRegistry()

## Method Details

### addDocumentFormat

public void addDocumentFormat(DocumentFormat documentFormat)

### getDocumentFormats

protected List getDocumentFormats()

### getFormatByFileExtension

public DocumentFormat getFormatByFileExtension(String extension)

Specified by:
  `getFormatByFileExtension` in interface `DocumentFormatRegistry`
Parameters:
  `extension` - the file extension
Returns:
  the DocumentFormat for this extension, or null if the extension is not mapped

### getFormatByMimeType

public DocumentFormat getFormatByMimeType(String mimeType)

Specified by:
  `getFormatByMimeType` in interface `DocumentFormatRegistry`